%define with_html_doc 0

Name:           python-kitchen
Version:        1.2.4
Release:        %mkrel 3
Summary:        Small, useful pieces of code to make python coding easier

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://pypi.python.org/packages/source/k/kitchen/kitchen-%{version}.tar.gz
Patch0:         python-kitchen-codepoints-table.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-nose
%if 0%{?with_html_doc}
BuildRequires:  python-sphinx
BuildRequires:  python3-sphinx
%endif
# At present, chardet is a soft dep
BuildRequires:  python-chardet
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-chardet
Requires:       python-chardet

%description
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 


%package doc
Summary:        API documentation for the Kitchen python module
Conflicts:      %{name} < 1.2.4-1

%description doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

This package contains the API documenation for programming with the
kitchen library.


%package -n python3-kitchen
Summary:    Small, useful pieces of code to make python 3 coding easier
Group:      Development/Python
Requires:   python3-chardet


%description -n python3-kitchen
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This is the python3 version of the kitchen module.


%package -n python3-kitchen-doc
Summary:    API documentation for the Kitchen python3 module


%description -n python3-kitchen-doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This package contains the API documenation for programming with the
python-3 version of the kitchen library.


%prep
%setup -q -n kitchen-%{version}
%patch0 -p1
cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%if 0%{?with_html_doc}
# Build docs
sphinx-build kitchen2/docs/ build/sphinx/html
cp -pr build/sphinx/html .
rm -rf html/.buildinfo

pushd %{py3dir}
sphinx-build-3 kitchen3/docs/ build/sphinx/html
cp -pr build/sphinx/html .
rm -rf html/.buildinfo
popd
%endif

%install
%py2_install

pushd %{py3dir}
%py3_install
popd


%files
%doc README.rst NEWS.rst COPYING COPYING.LESSER
%{python2_sitelib}/*


%files doc
%doc COPYING COPYING.LESSER kitchen2/docs/* 
%if 0%{?with_html_doc}
%doc html
%endif

%files -n python3-kitchen
%defattr(-,root,root,-)
%doc README.rst NEWS.rst COPYING COPYING.LESSER
%{python3_sitelib}/*


%files -n python3-kitchen-doc
%doc COPYING COPYING.LESSER kitchen3/docs/*
%if 0%{?with_html_doc}
%doc html
%endif


%changelog
* Thu May 05 2016 philippem <philippem> 1.2.4-3.mga6
+ Revision: 1009638
- fix sphinx build (nothing to build)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Nov 17 2015 philippem <philippem> 1.2.4-1.mga6
+ Revision: 903870
- update to 1.2.4

* Thu Oct 29 2015 philippem <philippem> 1.2.1-1.mga6
+ Revision: 896509
- add Python3, remove use of build_sphinx

  + bcornec <bcornec>
    - Update to upstream 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 747463
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.1-4.mga5
+ Revision: 728943
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 688112
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Feb 22 2014 philippem <philippem> 1.1.1-1.mga5
+ Revision: 595568
- cleaning spec

  + bcornec <bcornec>
    - Fix Group for python-kitchen
    - Upload python-kitchen as a dep to yum-utils
    - Created package structure for python-kitchen.

